#include "CivMaintainModel.h"

CivMaintainModel::CivMaintainModel()
{

}

void CivMaintainModel::maintain()
{

}

void CivMaintainModel::addNecessaryTable(const std::string& table)
{

}

bool CivMaintainModel::checkTable(const std::string& table)
{
	return true;
}

bool CivMaintainModel::checkTableFiled(const std::string& talbe, const std::string& filed, const std::string& filedType)
{
	return true;
}

void CivMaintainModel::addTableFiled(const std::string& table, const std::string& filed, const std::string& filedType)
{
	
}

void CivMaintainModel::deleteTableFiled(const std::string& table, const std::string& filed)
{

}